.nh
.TH indextool 1 "February 2021" manticoresearch-tools
.SH NAME
.PP
indextool - helper tool used to dump miscellaneous information about a physical index.

.SH SYNOPSIS
.EX
indextool <command> [options]

.EE

.SH OPTIONS
.RS
.IP \(bu 2
\fB--config <file>\fR (\fB-c <file>\fR for short) overrides the built-in config file names.
.IP \(bu 2
\fB--quiet\fR (\fB-q\fR for short) keep indextool quiet - it will not output banner, etc.
.IP \(bu 2
\fB--help\fR (\fB-h\fR for short) lists all of the parameters that can be called in your particular build of \fBindextool\fR\&.
.IP \(bu 2
\fB-v\fR show version information of your particular build of \fBindextool\fR\&.

.RE

.PP
The commands are as follows:

.RS
.IP \(bu 2
\fB--checkconfig\fR just loads and verifies the config file to check if it's valid, without syntax errors.
.IP \(bu 2
\fB--buildidf DICTFILE1 [DICTFILE2 ...] --out IDFILE\fR build IDF file from one or several dictionary dumps. Additional parameter \fB--skip-uniq\fR will skip unique (df=1) words.
.IP \(bu 2
\fB--build-infixes INDEXNAME\fR build infixes for an existing dict=keywords index (upgrades .sph, .spi in place). You can use this option for legacy index files that already use dict=keywords, but now need to support infix searching too; updating the index files with indextool may prove easier or faster than regenerating them from scratch with indexer.
.IP \(bu 2
\fB--dumpheader FILENAME.sph\fR quickly dumps the provided index header file without touching any other index files or even the configuration file. The report provides a breakdown of all the index settings, in particular the entire attribute and field list.
.IP \(bu 2
\fB--dumpconfig FILENAME.sph\fR dumps the index definition from the given index header file in (almost) compliant \fBsphinx.conf\fR file format.
.IP \(bu 2
\fB--dumpheader INDEXNAME\fR dumps index header by index name with looking up the header path in the configuration file.
.IP \(bu 2
\fB--dumpdict INDEXNAME\fR dumps dictionary. Additional \fB-stats\fR switch will dump to dictionary the total number of documents. It is required for dictionary files that are used for creation of IDF files.
.IP \(bu 2
\fB--dumpdocids INDEXNAME\fR dumps document IDs by index name.
.IP \(bu 2
\fB--dumphitlist INDEXNAME KEYWORD\fR dumps all the hits (occurrences) of a given keyword in a given index, with keyword specified as text.
.IP \(bu 2
\fB--dumphitlist INDEXNAME --wordid ID\fR dumps all the hits (occurrences) of a given keyword in a given index, with keyword specified as internal numeric ID.
.IP \(bu 2
\fB--fold INDEXNAME OPTFILE\fR This options is useful too see how actually tokenizer proceeds input. You can feed indextool with text from file if specified or from stdin otherwise. The output will contain spaces instead of separators (accordingly to your \fBcharset_table\fR settings) and lowercased letters in words.
.IP \(bu 2
\fB--htmlstrip INDEXNAME\fR filters stdin using HTML stripper settings for a given index, and prints the filtering results to stdout. Note that the settings will be taken from sphinx.conf, and not the index header.
.IP \(bu 2
\fB--mergeidf NODE1.idf [NODE2.idf ...] --out GLOBAL.idf\fR merge several .idf files into a single one. Additional parameter \fB--skip-uniq\fR will skip unique (df=1) words.
.IP \(bu 2
\fB--morph INDEXNAME\fR applies morphology to the given stdin and prints the result to stdout.
.IP \(bu 2
\fB--check INDEXNAME\fR checks the index data files for consistency errors that might be introduced either by bugs in \fBindexer\fR and/or hardware faults. \fB--check\fR also works on RT indexes, RAM and disk chunks. Additional options:
.RS
.IP \(bu 2
\fB--check-id-dups\fR checks if there are duplicate ids
.IP \(bu 2
\fB--check-disk-chunk CHUNK_NAME\fR checks only specific disk chunk of an RT index. The argument is a disk chunk numeric extension of the RT index to check.

.RE

.IP \(bu 2
\fB--strip-path\fR strips the path names from all the file names referenced from the index (stopwords, wordforms, exceptions, etc). This is useful for checking indexes built on another machine with possibly different path layouts.
.IP \(bu 2
\fB--rotate\fR works only with \fB--check\fR and defines whether to check index waiting for rotation, i.e. with .new extension. This is useful when you want to check your index before actually using it.
.IP \(bu 2
\fB--apply-killlists\fR loads and applies kill-lists for all indexes listed in the config file. Changes are saved in .SPM files. Kill-list files (.SPK) are deleted. This can be useful if you want to move applying indexes from server startup to indexing stage.

.RE
